NetInterfaceStat (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetInterfaceStat

    java.lang.Object
      org.hyperic.sigar.NetInterfaceStat

All Implemented Interfaces:
  java.io.Serializable

    public class NetInterfaceStat

extends java.lang.Object
implements java.io.Serializable

NetInterfaceStat sigar class.

See Also:
  Serialized Form

Constructor Summary
`NetInterfaceStat()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`long` | `getRxBytes()` Get the rx_bytes.
`long` | `getRxDropped()` Get the rx_dropped.
`long` | `getRxErrors()` Get the rx_errors.
`long` | `getRxFrame()` Get the rx_frame.
`long` | `getRxOverruns()` Get the rx_overruns.
`long` | `getRxPackets()` Get the rx_packets.
`long` | `getSpeed()` Get the speed.
`long` | `getTxBytes()` Get the tx_bytes.
`long` | `getTxCarrier()` Get the tx_carrier.
`long` | `getTxCollisions()` Get the tx_collisions.
`long` | `getTxDropped()` Get the tx_dropped.
`long` | `getTxErrors()` Get the *.
`long` | `getTxOverruns()` Get the tx_overruns.
`long` | `getTxPackets()` Get the tx_packets.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetInterfaceStat

    public NetInterfaceStat()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getRxBytes

    public long getRxBytes()

  Get the rx_bytes.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_bytes

### getRxPackets

    public long getRxPackets()

  Get the rx_packets.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_packets

### getRxErrors

    public long getRxErrors()

  Get the rx_errors.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_errors

### getRxDropped

    public long getRxDropped()

  Get the rx_dropped.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_dropped

### getRxOverruns

    public long getRxOverruns()

  Get the rx_overruns.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_overruns

### getRxFrame

    public long getRxFrame()

  Get the rx_frame.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    rx_frame

### getTxBytes

    public long getTxBytes()

  Get the tx_bytes.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_bytes

### getTxPackets

    public long getTxPackets()

  Get the tx_packets.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_packets

### getTxErrors

    public long getTxErrors()

  Get the *.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    *

### getTxDropped

    public long getTxDropped()

  Get the tx_dropped.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_dropped

### getTxOverruns

    public long getTxOverruns()

  Get the tx_overruns.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_overruns

### getTxCollisions

    public long getTxCollisions()

  Get the tx_collisions.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_collisions

### getTxCarrier

    public long getTxCarrier()

  Get the tx_carrier.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    tx_carrier

### getSpeed

    public long getSpeed()

  Get the speed.

  Supported Platforms: Undocumented.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: `/usr/sbin/lanadmin -g mibstats 0, netstat -i`
  - Linux: `ifconfig`
  - Solaris: ``
  - Win32: ``

  Returns:
    speed

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.